# frozen_string_literal: true

module Jekyll
  module Filters
    module Strings
      # String#start_with?
      def start_with(input, start)
        input.to_s.start_with? start.to_s
      end

      # Replaces the last ocurrence of a String
      #
      # @param [String]
      # @param [String]
      # @param [String]
      # @return [String]
      def replace_last(input, search, replace)
        hay = input.split search
        needle = "#{replace}#{hay.pop}"

        hay.join(search) + needle
      end
    end
  end
end

Liquid::Template.register_filter(Jekyll::Filters::Strings)
